be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

## Class ContentType

- java.lang.Object
- - be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.ContentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:41:48+01:00",
                 comments="JAXB RI v2.3.7")
      public class ContentType
      extends Object
      implements Serializable

  to specify the value of the item

  Java class for contentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="contentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR" maxOccurs="unbounded"/>
                 <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-CONTENT" maxOccurs="unbounded"/>
                 <element name="decimal" type="{http://www.w3.org/2001/XMLSchema}decimal"/>
                 <element name="unsignedInt" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
                 <element name="boolean" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
                 <element name="text" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType" maxOccurs="unbounded"/>
                 <choice>
                   <choice>
                     <element name="year" type="{http://www.w3.org/2001/XMLSchema}gYear"/>
                     <element name="yearmonth" type="{http://www.w3.org/2001/XMLSchema}gYearMonth"/>
                   </choice>
                   <sequence>
                     <element name="date" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
                     <element name="time" type="{http://www.w3.org/2001/XMLSchema}time" minOccurs="0"/>
                   </sequence>
                 </choice>
                 <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType"/>
                 <element name="person" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}personType"/>
                 <element name="insurance" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}insuranceType"/>
                 <element name="incapacity" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}incapacityType"/>
                 <element name="error" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}errorType"/>
                 <choice>
                   <sequence>
                     <choice>
                       <element name="medicinalproduct" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}medicinalProductType"/>
                       <element name="substanceproduct">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <element name="intendedcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-INNCLUSTER"/>
                                 <element name="deliveredcd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-DRUG-CNK" minOccurs="0"/>
                                 <element name="intendedname" type="{http://www.w3.org/2001/XMLSchema}string"/>
                                 <element name="deliveredname" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
                               </sequence>
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                       <element name="compoundprescription" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}compoundprescriptionType"/>
                     </choice>
                   </sequence>
                   <element name="medication" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}medicationType"/>
                 </choice>
                 <element name="holter" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}holterType"/>
                 <element name="ecg" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
                 <element name="bacteriology" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}textType"/>
                 <element name="lnk" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}lnkType" maxOccurs="unbounded"/>
                 <element name="location" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}locationBirthPlaceType"/>
               </choice>
               <element name="unit" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}unitType" minOccurs="0"/>
               <element name="minref" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}minrefType" minOccurs="0"/>
               <element name="maxref" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}maxrefType" minOccurs="0"/>
               <element name="refscope" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}refscopeType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TextType` | `getBacteriology()` Gets the value of the bacteriology property.
    `List<CDCONTENT>` | `getCds()` Gets the value of the cds property.
    `CompoundprescriptionType` | `getCompoundprescription()` Gets the value of the compoundprescription property.
    `org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
    `BigDecimal` | `getDecimal()` Gets the value of the decimal property.
    `TextType` | `getEcg()` Gets the value of the ecg property.
    `ErrorType` | `getError()` Gets the value of the error property.
    `HcpartyType` | `getHcparty()` Gets the value of the hcparty property.
    `HolterType` | `getHolter()` Gets the value of the holter property.
    `List<IDKMEHR>` | `getIds()` Gets the value of the ids property.
    `IncapacityType` | `getIncapacity()` Gets the value of the incapacity property.
    `InsuranceType` | `getInsurance()` Gets the value of the insurance property.
    `List<LnkType>` | `getLnks()` Gets the value of the lnks property.
    `LocationBirthPlaceType` | `getLocation()` Gets the value of the location property.
    `MaxrefType` | `getMaxref()` Gets the value of the maxref property.
    `MedicationType` | `getMedication()` Gets the value of the medication property.
    `MedicinalProductType` | `getMedicinalproduct()` Gets the value of the medicinalproduct property.
    `MinrefType` | `getMinref()` Gets the value of the minref property.
    `PersonType` | `getPerson()` Gets the value of the person property.
    `List<RefscopeType>` | `getRefscopes()` Gets the value of the refscopes property.
    `Substanceproduct` | `getSubstanceproduct()` Gets the value of the substanceproduct property.
    `List<TextType>` | `getTexts()` Gets the value of the texts property.
    `org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
    `UnitType` | `getUnit()` Gets the value of the unit property.
    `Long` | `getUnsignedInt()` Gets the value of the unsignedInt property.
    `XMLGregorianCalendar` | `getYear()` Gets the value of the year property.
    `XMLGregorianCalendar` | `getYearmonth()` Gets the value of the yearmonth property.
    `Boolean` | `isBoolean()` Gets the value of the boolean property.
    `void` | `setBacteriology(TextType value)` Sets the value of the bacteriology property.
    `void` | `setBoolean(Boolean value)` Sets the value of the boolean property.
    `void` | `setCompoundprescription(CompoundprescriptionType value)` Sets the value of the compoundprescription property.
    `void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.
    `void` | `setDecimal(BigDecimal value)` Sets the value of the decimal property.
    `void` | `setEcg(TextType value)` Sets the value of the ecg property.
    `void` | `setError(ErrorType value)` Sets the value of the error property.
    `void` | `setHcparty(HcpartyType value)` Sets the value of the hcparty property.
    `void` | `setHolter(HolterType value)` Sets the value of the holter property.
    `void` | `setIncapacity(IncapacityType value)` Sets the value of the incapacity property.
    `void` | `setInsurance(InsuranceType value)` Sets the value of the insurance property.
    `void` | `setLocation(LocationBirthPlaceType value)` Sets the value of the location property.
    `void` | `setMaxref(MaxrefType value)` Sets the value of the maxref property.
    `void` | `setMedication(MedicationType value)` Sets the value of the medication property.
    `void` | `setMedicinalproduct(MedicinalProductType value)` Sets the value of the medicinalproduct property.
    `void` | `setMinref(MinrefType value)` Sets the value of the minref property.
    `void` | `setPerson(PersonType value)` Sets the value of the person property.
    `void` | `setSubstanceproduct(Substanceproduct value)` Sets the value of the substanceproduct property.
    `void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.
    `void` | `setUnit(UnitType value)` Sets the value of the unit property.
    `void` | `setUnsignedInt(Long value)` Sets the value of the unsignedInt property.
    `void` | `setYear(XMLGregorianCalendar value)` Sets the value of the year property.
    `void` | `setYearmonth(XMLGregorianCalendar value)` Sets the value of the yearmonth property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContentType

          public ContentType()

  - ### Method Detail

    - #### getLocation

          public LocationBirthPlaceType getLocation()

      Gets the value of the location property.
      Returns:
        possible object is `LocationBirthPlaceType`

    - #### setLocation

          public void setLocation(LocationBirthPlaceType value)

      Sets the value of the location property.
      Parameters:
        `value` - allowed object is `LocationBirthPlaceType`

    - #### getLnks

          public List<LnkType> getLnks()

      Gets the value of the lnks property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the lnks property.

      For example, to add a new item, do as follows:

              getLnks().add(newItem);

      Objects of the following type(s) are allowed in the list `LnkType`

    - #### getBacteriology

          public TextType getBacteriology()

      Gets the value of the bacteriology property.
      Returns:
        possible object is `TextType`

    - #### setBacteriology

          public void setBacteriology(TextType value)

      Sets the value of the bacteriology property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getEcg

          public TextType getEcg()

      Gets the value of the ecg property.
      Returns:
        possible object is `TextType`

    - #### setEcg

          public void setEcg(TextType value)

      Sets the value of the ecg property.
      Parameters:
        `value` - allowed object is `TextType`

    - #### getHolter

          public HolterType getHolter()

      Gets the value of the holter property.
      Returns:
        possible object is `HolterType`

    - #### setHolter

          public void setHolter(HolterType value)

      Sets the value of the holter property.
      Parameters:
        `value` - allowed object is `HolterType`

    - #### getMedication

          public MedicationType getMedication()

      Gets the value of the medication property.
      Returns:
        possible object is `MedicationType`

    - #### setMedication

          public void setMedication(MedicationType value)

      Sets the value of the medication property.
      Parameters:
        `value` - allowed object is `MedicationType`

    - #### getCompoundprescription

          public CompoundprescriptionType getCompoundprescription()

      Gets the value of the compoundprescription property.
      Returns:
        possible object is `CompoundprescriptionType`

    - #### setCompoundprescription

          public void setCompoundprescription(CompoundprescriptionType value)

      Sets the value of the compoundprescription property.
      Parameters:
        `value` - allowed object is `CompoundprescriptionType`

    - #### getSubstanceproduct

          public Substanceproduct getSubstanceproduct()

      Gets the value of the substanceproduct property.
      Returns:
        possible object is `Substanceproduct`

    - #### setSubstanceproduct

          public void setSubstanceproduct(Substanceproduct value)

      Sets the value of the substanceproduct property.
      Parameters:
        `value` - allowed object is `Substanceproduct`

    - #### getMedicinalproduct

          public MedicinalProductType getMedicinalproduct()

      Gets the value of the medicinalproduct property.
      Returns:
        possible object is `MedicinalProductType`

    - #### setMedicinalproduct

          public void setMedicinalproduct(MedicinalProductType value)

      Sets the value of the medicinalproduct property.
      Parameters:
        `value` - allowed object is `MedicinalProductType`

    - #### getError

          public ErrorType getError()

      Gets the value of the error property.
      Returns:
        possible object is `ErrorType`

    - #### setError

          public void setError(ErrorType value)

      Sets the value of the error property.
      Parameters:
        `value` - allowed object is `ErrorType`

    - #### getIncapacity

          public IncapacityType getIncapacity()

      Gets the value of the incapacity property.
      Returns:
        possible object is `IncapacityType`

    - #### setIncapacity

          public void setIncapacity(IncapacityType value)

      Sets the value of the incapacity property.
      Parameters:
        `value` - allowed object is `IncapacityType`

    - #### getInsurance

          public InsuranceType getInsurance()

      Gets the value of the insurance property.
      Returns:
        possible object is `InsuranceType`

    - #### setInsurance

          public void setInsurance(InsuranceType value)

      Sets the value of the insurance property.
      Parameters:
        `value` - allowed object is `InsuranceType`

    - #### getPerson

          public PersonType getPerson()

      Gets the value of the person property.
      Returns:
        possible object is `PersonType`

    - #### setPerson

          public void setPerson(PersonType value)

      Sets the value of the person property.
      Parameters:
        `value` - allowed object is `PersonType`

    - #### getHcparty

          public HcpartyType getHcparty()

      Gets the value of the hcparty property.
      Returns:
        possible object is `HcpartyType`

    - #### setHcparty

          public void setHcparty(HcpartyType value)

      Sets the value of the hcparty property.
      Parameters:
        `value` - allowed object is `HcpartyType`

    - #### getDate

          public org.joda.time.DateTime getDate()

      Gets the value of the date property.
      Returns:
        possible object is `String`

    - #### setDate

          public void setDate(org.joda.time.DateTime value)

      Sets the value of the date property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTime

          public org.joda.time.DateTime getTime()

      Gets the value of the time property.
      Returns:
        possible object is `String`

    - #### setTime

          public void setTime(org.joda.time.DateTime value)

      Sets the value of the time property.
      Parameters:
        `value` - allowed object is `String`

    - #### getYearmonth

          public XMLGregorianCalendar getYearmonth()

      Gets the value of the yearmonth property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setYearmonth

          public void setYearmonth(XMLGregorianCalendar value)

      Sets the value of the yearmonth property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getYear

          public XMLGregorianCalendar getYear()

      Gets the value of the year property.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setYear

          public void setYear(XMLGregorianCalendar value)

      Sets the value of the year property.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getTexts

          public List<TextType> getTexts()

      Gets the value of the texts property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the texts property.

      For example, to add a new item, do as follows:

              getTexts().add(newItem);

      Objects of the following type(s) are allowed in the list `TextType`

    - #### isBoolean

          public Boolean isBoolean()

      Gets the value of the boolean property.
      Returns:
        possible object is `Boolean`

    - #### setBoolean

          public void setBoolean(Boolean value)

      Sets the value of the boolean property.
      Parameters:
        `value` - allowed object is `Boolean`

    - #### getUnsignedInt

          public Long getUnsignedInt()

      Gets the value of the unsignedInt property.
      Returns:
        possible object is `Long`

    - #### setUnsignedInt

          public void setUnsignedInt(Long value)

      Sets the value of the unsignedInt property.
      Parameters:
        `value` - allowed object is `Long`

    - #### getDecimal

          public BigDecimal getDecimal()

      Gets the value of the decimal property.
      Returns:
        possible object is `BigDecimal`

    - #### setDecimal

          public void setDecimal(BigDecimal value)

      Sets the value of the decimal property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getCds

          public List<CDCONTENT> getCds()

      Gets the value of the cds property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

      For example, to add a new item, do as follows:

              getCds().add(newItem);

      Objects of the following type(s) are allowed in the list `CDCONTENT`

    - #### getIds

          public List<IDKMEHR> getIds()

      Gets the value of the ids property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ids property.

      For example, to add a new item, do as follows:

              getIds().add(newItem);

      Objects of the following type(s) are allowed in the list `IDKMEHR`

    - #### getUnit

          public UnitType getUnit()

      Gets the value of the unit property.
      Returns:
        possible object is `UnitType`

    - #### setUnit

          public void setUnit(UnitType value)

      Sets the value of the unit property.
      Parameters:
        `value` - allowed object is `UnitType`

    - #### getMinref

          public MinrefType getMinref()

      Gets the value of the minref property.
      Returns:
        possible object is `MinrefType`

    - #### setMinref

          public void setMinref(MinrefType value)

      Sets the value of the minref property.
      Parameters:
        `value` - allowed object is `MinrefType`

    - #### getMaxref

          public MaxrefType getMaxref()

      Gets the value of the maxref property.
      Returns:
        possible object is `MaxrefType`

    - #### setMaxref

          public void setMaxref(MaxrefType value)

      Sets the value of the maxref property.
      Parameters:
        `value` - allowed object is `MaxrefType`

    - #### getRefscopes

          public List<RefscopeType> getRefscopes()

      Gets the value of the refscopes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the refscopes property.

      For example, to add a new item, do as follows:

              getRefscopes().add(newItem);

      Objects of the following type(s) are allowed in the list `RefscopeType`

Connector Package PERSMIDWIFE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.